Summary:        Python library for interacting with rpm+git
Name:           rpkg
Version:        1.65
Release:        2%{?dist}
License:        GPLv2+ and LGPLv2
URL:            https://pagure.io/rpkg
Source0:        https://pagure.io/releases/rpkg/%{name}-%{version}.tar.gz
Patch0001:         0004-fedpkg-local-does-not-show-rpmbuild-output.patch
Patch0002:         0005-Fixes-for-exploded-SRPM-layouts.patch
Patch0003:         0006-mockbuild-escape-rpm-command-under-mock.patch
# Due to https://pagure.io/koji/issue/912, python3-koji package does not have egginfo.
# rpm-py-installer is required as a proxy to install RPM python binding library, so rpm
# is the actual requirement that must be present in the requires.txt. 
Patch3000:         remove-koji-and-rpm-py-installer-from-requires.patch
Patch3001:         0001-Do-not-use-pytest-related-dependencies-temporarily.patch
Patch3002:         0002-Remove-pytest-coverage-execution.patch

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-GitPython
BuildRequires:  python3-koji >= 1.24
BuildRequires:  python3-gobject-base
BuildRequires:  libmodulemd
BuildRequires:  python3-requests-kerberos
BuildRequires:  python3-argcomplete
BuildRequires:  python3-cccolutils
BuildRequires:  python3-openidc-client
BuildRequires:  python3-pycurl
BuildRequires:  python3-six >= 1.9.0
BuildRequires:  python3-requests
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-PyYAML
BuildRequires:  rpmlint

Requires:       mock
Requires:       system-rpm-config
Requires:       rpm-build
Requires:       rpmlint

Requires:       python3-argcomplete
Requires:       python3-GitPython >= 0.2.0
Requires:       python3-cccolutils
Requires:       python3-koji >= 1.24
Requires:       python3-gobject-base
Requires:       libmodulemd
Requires:       python3-requests-kerberos
Requires:       python3-rpm
Requires:       python3-pycurl
Requires:       python3-six >= 1.9.0
Requires:       python3-PyYAML

Requires:       %{name}-common = %{version}-%{release}


%description
Python library for interacting with rpm+git

%package -n python3-%{name}
Summary:        %{summary}
Provides:       python3-%{name} = %{version}-%{release}


%description -n python3-%{name}
A python library for managing RPM package sources in a git repository.

%package common
Summary:        Common files for %{name}

%description common
Common files for python3-%{name}.


%prep
%autosetup -p1

# Removes section from setup.py that is relevant only for pip 
sed -i -n '/extras_require/,/}/!p' setup.py

%build
%py3_build


%install
%py3_install


# Create configuration directory to holding downstream clients config files
%{__install} -d $RPM_BUILD_ROOT%{_sysconfdir}/rpkg

example_cli_dir=$RPM_BUILD_ROOT%{_datadir}/%{name}/examples/cli
%{__install} -d $example_cli_dir

# Install example CLI to rpkg own data directory
%{__install} -d ${example_cli_dir}%{_bindir}
%{__install} -d ${example_cli_dir}%{_sysconfdir}/bash_completion.d
%{__install} -d ${example_cli_dir}%{_sysconfdir}/rpkg

%{__install} -p -m 0644 bin/rpkg ${example_cli_dir}%{_bindir}
%{__install} -p -m 0644 etc/bash_completion.d/rpkg.bash ${example_cli_dir}%{_sysconfdir}/bash_completion.d
%{__install} -p -m 0644 etc/rpkg/rpkg.conf ${example_cli_dir}%{_sysconfdir}/rpkg


%check
%pytest

%files -n python3-%{name}
%license COPYING COPYING-koji LGPL
%doc README.rst CHANGELOG.rst
%{python3_sitelib}/pyrpkg
%{python3_sitelib}/%{name}-%{version}-py*.egg-info

%files common
%{_datadir}/%{name}
%{_sysconfdir}/rpkg


%changelog
* Wed Jun 05 2024 Wang Guodong <gordonwwang@tencent.com> - 1.65-2
- Use system-rpm-config

* Tue Nov 21 2023 Wang Guodong <gordonwwang@tencent.com> - 1.65-1
- initial build
